Description

Python expressions like the match expressions are compiled in the frontend.
These will have to be python 3 compliant (e.g. no .has_key(), // as integer division, ...)

A tool proofing the Frontend configuration would help Frontend operators

History

#1 - 09/21/2020 04:16 PM - Marco Mambelli

- Target version changed from 2122 tov3_9 1

#2 - 02/17/2021 05:12 PM - Bruno Coimbra
- Assignee set to Marco Mambelli

- Status changed from New to Feedback

| implemented a tool to check match expressions and policy files for compatibility with Python 3.
Additionally, | made changes to the reconfig_frontend script so it calls the new tool during reconfiguration.

This link has a good configuration file to test 2to3 suggestions:

https://qgitlab.cern.ch/CMSSI/cmsgwms-frontend-configurations/-/blob/fnal/global/frontend.xml

Changes at v36/24936

#3 - 02/25/2021 09:40 PM - Marco Mambelli

- Assignee changed from Marco Mambelli to Bruno Coimbra

#4 - 02/26/2021 02:11 PM - Bruno Coimbra

- Status changed from Feedback to Resolved

Changes merged on branch_v3_9

#5 - 03/09/2021 08:20 PM - Marco Mambelli

- Status changed from Resolved to Closed
